All Classes Namespaces Functions Variables Groups Pages
Upsert Result Codes

## Variables

const | SqlUtil::AbstractTable::UR_Deleted = 5
| row was deleted (only possible with batch upsert methods such as AbstractTable::upsertFromIterator() where upsert option `delete_others` is True)
const | SqlUtil::AbstractTable::UR_Inserted = 1
| row was inserted
const | SqlUtil::AbstractTable::UR_Unchanged = 4
| row was unchanged (only possible with UpsertSelectFirst, UpsertInsertOnly, and UpsertUpdateOnly)
const | SqlUtil::AbstractTable::UR_Updated = 3
| row was updated because it was different (only possible with UpsertSelectFirst)
const | SqlUtil::AbstractTable::UR_Verified = 2
| row was updated unconditionally (not returned with UpsertSelectFirst)

## Detailed Description

See Also
  UpsertResultMap and UpsertResultDescriptionMap